Bug 499737 - no key binding to switch input mode
no key binding to switch input mode
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus-anthy (Show other bugs)
11
All Linux
high Severity high
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-07 16:09 EDT by James Ralston
Modified: 2009-06-18 11:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 23:11:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Ralston 2009-05-07 16:09:47 EDT
With scim-anthy, there was an option to configure keybindings to rotate the input mode (hiragana, katakana, half-width katakana, latin, wide latin).

ibus-anthy does not appear to have this feature:

http://code.google.com/p/ibus/issues/detail?id=204

This feature is absolutely critical for inputting Japanese text in any sort of reasonable fashion; ibus-anthy is unusable without it.

Version:

0:ibus-anthy-1.1.0.20090402-1.fc11.x86_64
Comment 1 Peng Huang 2009-05-07 21:02:32 EDT
ibus-anthy does not have configure UI for keybindings, but it has some default keybindings for switching input mode. Please refer to bug 490747, bug 490750, bug 490748 .

BTW, what's the keybinding for  the rotating input mode in scim-anthy?
Comment 2 James Ralston 2009-05-13 21:13:57 EDT
I do not have a Japanese keyboard, so as far as I can tell, I cannot take advantage of the default keybindings for switching input mode.

(I supposed I could try using xmodmap to bind a keysym to Hiragana_Katanaka, but on my laptop, every key is precious.)

scim-anthy's default keybindings for switching input mode are:

Ctrl-,: rotates through (hiragana, katakana, half-width katakana, latin, wide latin)

Ctrl-.: rotates through (hiragana, katakana, latin)
Comment 3 Peng Huang 2009-05-13 21:20:54 EDT
Hi Jens and Tagoh-san,

What's your suggestion? Enable those hotkeys by default?
Comment 4 Peng Huang 2009-06-03 01:18:39 EDT
In ibus-anghy-1.1.0.20090603, we implemented setup UI. I think you could configure those hotkey by self. Please try it.
https://admin.fedoraproject.org/updates/ibus-anthy-1.1.0.20090603-1.fc11
Comment 5 Bug Zapper 2009-06-09 11:24:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Peng Huang 2009-06-15 23:11:19 EDT
Fixed in ibus-anthy-1.1.0.20090603-1.fc11
Comment 7 James Ralston 2009-06-18 11:47:14 EDT
Confirmed.

It would be nice to be able to configure the anthy input mode from the IBus notification area icon, though. Right now, the only way I've been able to find to do it is to drag the IBus menu onto a window, switch the input mode for that window to anthy, and then attempt to pick the configuration option off of the menu as IBus rapidly engages and disengages.

Note You need to log in before you can comment on or make changes to this bug.